### Class

# Clapper Server

#### Description [src]

    final class Clapper.Server : Clapper.Feature
    {
      /* No available fields */
    }

An optional Server feature to add to the player.

`ClapperServer` is a feature that hosts a local server providing an ability to both monitor and control playback through WebSocket messages and HTTP requests.

Use `CLAPPER_HAVE_SERVER` macro to check if Clapper API was compiled with this feature.

#### Hierarchy

#### Ancestors

- ClapperFeature
- GstObject
- GInitiallyUnowned
- GObject

#### Constructors

###### clapper_server_new

Creates a new `ClapperServer` instance.

#### Instance methods

###### clapper_server_get_current_port

Get port on which server is currently listening on.

###### clapper_server_get_enabled

Get whether `ClapperServer` is set to be running.

###### clapper_server_get_port

Get requested server listening port.

###### clapper_server_get_queue_controllable

Get whether remote `server` clients can control `ClapperQueue`.

###### clapper_server_get_running

Get whether `ClapperServer` is currently running.

###### clapper_server_set_enabled

Set whether `ClapperServer` should be running.

###### clapper_server_set_port

Set server listening port.

###### clapper_server_set_queue_controllable

Set whether remote `server` clients can control `ClapperQueue`.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clapper.Server:current-port

Port on which server is currently listening on or 0 if not listening.

###### Clapper.Server:enabled

Whether server is enabled.

###### Clapper.Server:port

Port to listen on or 0 for using random unused port.

###### Clapper.Server:queue-controllable

Whether remote server clients can control `ClapperQueue`.

###### Clapper.Server:running

Whether server is currently running.

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

###### Clapper.Server::error

Error signal when server could not start. This will be emitted from application main thread.

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClapperServerClass {
      ClapperFeatureClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClapperFeatureClass`

  No description available.